End current CDATA

- « XMLWriter::endAttribute

- XMLWriter::endComment »

- PHP Manual
- XMLWriter
- End current CDATA

# XMLWriter::endCdata

# xmlwriter_end_cdata

(PHP 5 >= 5.1.2, PHP 7, PHP 8, PECL xmlwriter >= 0.1.0)

XMLWriter::endCdata -- xmlwriter_end_cdata — End current CDATA

### Description

Object-oriented style

public XMLWriter::endCdata(): bool

Procedural style

xmlwriter_end_cdata(XMLWriter `$writer`): bool

Ends the current CDATA section.

### Parameters

`writer`

  Only for procedural calls. The XMLWriter instance that is being modified. This object is returned from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `writer` expects an XMLWriter instance now; previously, a resource was expected.

### See Also

- XMLWriter::startCdata() - Create start CDATA tag
- XMLWriter::writeCdata() - Write full CDATA tag